with Tcl.Tk.Ada; use Tcl, Tcl.Tk, Tcl.Tk.Ada;
with Tcl.Ada; use Tcl.Ada;
with Interfaces.C;
with Ada.Command_Line; use Ada.Command_Line;
procedure TkProg is
   Interp : Tcl.Tcl_Interp := Tcl.Tcl_Createinterp;
   use type Interfaces.C.Int;
   Program : constant String :=
--tcl2ada tkprog.tcl
;
begin
   Tcl_Eval (Interp, "set argc " & Integer'Image (Argument_Count));
   Tcl_Eval (Interp, "set argv0 " & Command_Name);
   Tcl_Eval (Interp, "set argv """"");
   for I in 1 .. Argument_Count loop
      Tcl_Eval (Interp, "lappend argv " & Argument(I));
   end loop;

   if Tcl_Init(Interp) /= 0 or else Tk_Init (Interp) /= 0 then
      return;
   end if;

   Set_Context (Interp);
   Tcl_Eval (Interp, Program);

   Tk_MainLoop;
end TkProg;
